Bug 246468 - [LSI-E 4.7 bug] RHEL does not establish session on all the available paths to the iSCSI target.
[LSI-E 4.7 bug] RHEL does not establish session on all the available paths to...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
: OtherQA
Depends On:
Blocks: 238913 367631
  Show dependency treegraph
 
Reported: 2007-07-02 11:27 EDT by khtan
Modified: 2009-06-19 19:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 12:43:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iSCSI daemon debug 8 output. (203.82 KB, text/plain)
2007-07-02 11:27 EDT, khtan
no flags Details
iscsi.conf (16.57 KB, text/plain)
2007-07-02 19:18 EDT, khtan
no flags Details
iscsid -d 8 redirected output. (203.82 KB, text/plain)
2007-08-28 10:37 EDT, khtan
no flags Details
add some debugging output where iscsid seems to stall in log (1.30 KB, patch)
2007-09-06 21:21 EDT, Mike Christie
no flags Details | Diff
iscsid -d 8 redirected output. (404.59 KB, text/plain)
2007-09-18 11:48 EDT, khtan
no flags Details
iscsid -d 8 redirected output. (405.65 KB, text/plain)
2007-09-18 11:48 EDT, khtan
no flags Details

  None (edit)
Description khtan 2007-07-02 11:27:16 EDT
Description of problem:
In a large configuration (greater than 2x2 with 4 paths to each to iSCSI target)
the OS will not attach to all defined discovery address. Usually the last
discovery address will not be attached to.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Build a large config with more than 2 iSCSI target with 4 target portals each.
2. Define the discovery address for each target in the iSCSI.conf file.
3. Restart the iSCSI daemon to attach to the targets.
  
Actual results:
The last discovery address will be attached to the host.

Expected results:
The host attaches to all targets on all paths.

Additional info:
We have a workaround where the last address is duplicated once. With the
workaround, we can always attach to all targets.
Comment 1 khtan 2007-07-02 11:27:16 EDT
Created attachment 158333 [details]
iSCSI daemon debug 8 output.
Comment 2 Mike Christie 2007-07-02 11:49:34 EDT
Could you attach the iscsi.conf that does not work?
Comment 3 khtan 2007-07-02 19:18:25 EDT
Created attachment 158388 [details]
iscsi.conf
Comment 4 RHEL Product and Program Management 2007-07-06 16:14:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Mike Christie 2007-07-31 01:05:09 EDT
LSI, I cannot seem to replicate this one.

Can you guys run iscsid manually with debugging on (iscsid -d 8) and send the
output?
Comment 9 Andrius Benokraitis 2007-08-28 09:30:51 EDT
K.H - Any updates? Have you been able to provide Mike with what he asked for in
Comment #6?
Comment 10 khtan 2007-08-28 10:37:39 EDT
Created attachment 176721 [details]
iscsid -d 8 redirected output.
Comment 11 khtan 2007-08-28 10:39:36 EDT
CR 124487
Comment 14 Mike Christie 2007-09-06 21:21:03 EDT
Created attachment 189401 [details]
add some debugging output where iscsid seems to stall in log

Hey LSI,

Could you guys take the source from the current rpm here:
http://people.redhat.com/mchristi/iscsi/RHEL4/u6/

And apply the patch in the bugzilla. You have to just do:

# wget
http://people.redhat.com/mchristi/iscsi/RHEL4/u6/iscsi-initiator-utils-4.0.3.0-6.src.rpm


# rpm -ivh iscsi-initiator-utils-4.0.3.0-6.src.rpm
# rpmbuild -bp /usr/src/redhat/SPECS/iscsi-initiator-utils.spec
# cd 
# wget
http://people.redhat.com/mchristi/iscsi/RHEL4/u6/iscsi-initiator-utils-4.0.3.0-6.src.rpm


# rpm -ivh iscsi-initiator-utils-4.0.3.0-6.src.rpm
# rpmbuild -bp /usr/src/redhat/SPECS/iscsi-initiator-utils.spec
# cd /usr/src/redhat/BUILD/iscsi-initiator-utils-4.0.3.0/linux-iscsi-4.0.3.0
# patch -p1 -i .....path to patch in bugzilla..../add-debug.patch
# make daemon
# modprobe iscsi_sfnet

Then run iscsid that was just built by hand with the bad config

# obj/iscsid -d 8

Then send the output again.

Thanks. It is weird. The log just seems to stop when it is supposed to start to
create sessions for the missing target. I thought iscsid segfaulted or
something but did not see that in your logs, so the patch adds some debugging
output for where it looks like iscsid might be hanging.
Comment 15 Andrius Benokraitis 2007-09-12 14:07:17 EDT
LSI: Please test Comment #14 ASAP... the 4.6 runway is ending soon.
Comment 16 khtan 2007-09-18 11:48:19 EDT
Created attachment 198511 [details]
iscsid -d 8 redirected output.
Comment 17 khtan 2007-09-18 11:48:45 EDT
Created attachment 198521 [details]
iscsid -d 8 redirected output.
Comment 18 khtan 2007-09-18 11:49:43 EDT
Reran test following instructions in comment #14 and attached hosts iscsid debug
output. Only 18 or 20 expected sessions were created.
Comment 21 Mike Christie 2007-10-04 10:46:55 EDT
Pushing to 4.7, because it is so late, and we still cannot replicate it here.

Currently waiting on LSI, to see if just adding one discovery address per
target, instead of one DA for each portal on the target, works.
Comment 22 RHEL Product and Program Management 2007-11-28 23:18:19 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 24 Andrius Benokraitis 2008-01-23 12:43:58 EST
CLOSING due to lack of comments from LSI.

Note You need to log in before you can comment on or make changes to this bug.